Go Back   HowtoForge Forums | HowtoForge - Linux Howtos and Tutorials > Linux Forums > Installation/Configuration

Do you like HowtoForge? Please consider supporting us by becoming a subscriber.
Reply
 
Thread Tools Display Modes
  #1  
Old 16th August 2005, 19:05
hkaiser hkaiser is offline
Member
 
Join Date: Aug 2005
Posts: 32
Thanks: 0
Thanked 1 Time in 1 Post
Default Installing on a x86_64 based system?

Hi,
I would like to install ISPConfig on an Fedora Core 4 server(x86_64). The install documentation is no help because apt do not work on x86_64 systems. So someone know how to do this easily? Thanks a lot.

hkaiser
Reply With Quote
Sponsored Links
  #2  
Old 16th August 2005, 20:22
falko falko is offline
Super Moderator
 
Join Date: Apr 2005
Location: Lüneburg, Germany
Posts: 41,711
Thanks: 1,899
Thanked 2,702 Times in 2,545 Posts
Default

You can replace the apt-get commands with yum, e.g.

Code:
yum install cyrus-sasl cyrus-sasl-devel cyrus-sasl-gssapi cyrus-sasl-md5 cyrus-sasl-plain postfix
instead of

Code:
apt-get install cyrus-sasl cyrus-sasl-devel cyrus-sasl-gssapi cyrus-sasl-md5 cyrus-sasl-plain postfix
__________________
Falko
--
Download the ISPConfig 3 Manual! | Check out the ISPConfig 3 Billing Module!

FB: http://www.facebook.com/howtoforge

nginx-Webhosting: Timme Hosting | Follow me on:
Reply With Quote
  #3  
Old 16th August 2005, 20:30
hkaiser hkaiser is offline
Member
 
Join Date: Aug 2005
Posts: 32
Thanks: 0
Thanked 1 Time in 1 Post
Default And IMAP?

Hi,

can i make this also with imap in the apt-get statment? I am not sure which packet is ment with imap.

Can i do this also with this statment

apt-get install php php-devel php-gd php-imap php-ldap php-mysql php-odbc php-pear php-xmlrpc curl curl-devel perl-libwww-perl ImageMagick

or are there also some apt-get packeges into which I do not see and what I am not able to use in Fedora?

Thanks for the fast answer form you!

with best regards
hkaiser
Reply With Quote
  #4  
Old 16th August 2005, 20:43
falko falko is offline
Super Moderator
 
Join Date: Apr 2005
Location: Lüneburg, Germany
Posts: 41,711
Thanks: 1,899
Thanked 2,702 Times in 2,545 Posts
Default

The imap package is not available in FC 4, only in FC 1, that's why I put a FC 1 repository in /etc/apt/sources.list.
There must be some place where you can define yum repositories, but I have to look that up first...

Quote:
Can i do this also with this statment

apt-get install php php-devel php-gd php-imap php-ldap php-mysql php-odbc php-pear php-xmlrpc curl curl-devel perl-libwww-perl ImageMagick

or are there also some apt-get packeges into which I do not see and what I am not able to use in Fedora?
Just try. You can use

Code:
yum search php
to search for available packages that contain PHP.
__________________
Falko
--
Download the ISPConfig 3 Manual! | Check out the ISPConfig 3 Billing Module!

FB: http://www.facebook.com/howtoforge

nginx-Webhosting: Timme Hosting | Follow me on:
Reply With Quote
  #5  
Old 16th August 2005, 20:47
falko falko is offline
Super Moderator
 
Join Date: Apr 2005
Location: Lüneburg, Germany
Posts: 41,711
Thanks: 1,899
Thanked 2,702 Times in 2,545 Posts
Default

Just googled, the file to define yum repositories is /etc/yum.conf. This page here has more infos:
http://www.brandonhutchinson.com/Fed...ositories.html
Another link: http://www.xades.com/proj/fedora_repos.html
__________________
Falko
--
Download the ISPConfig 3 Manual! | Check out the ISPConfig 3 Billing Module!

FB: http://www.facebook.com/howtoforge

nginx-Webhosting: Timme Hosting | Follow me on:

Last edited by falko; 16th August 2005 at 20:49.
Reply With Quote
  #6  
Old 18th August 2005, 11:32
hkaiser hkaiser is offline
Member
 
Join Date: Aug 2005
Posts: 32
Thanks: 0
Thanked 1 Time in 1 Post
Default

Hi,

Thanks for the repositories. I tried to install ISPConfig now and I got this errror:

checking for IMAP support... no
checking for IMAP Kerberos support... no
checking for IMAP SSL support... no
checking for Informix support... no
checking for Ingres II support... no
checking for InterBase support... no
checking for IRCG support... no
checking for LDAP support... no
checking for LDAP Cyrus SASL support... no
checking whether to enable multibyte string support... no
checking whether to enable multibyte regex support... yes
checking for external libmbfl... no
checking for mcrypt support... no
checking for MCVE support... no
checking OpenSSL dir for MCVE... no
checking for mhash support... no
checking whether to include mime_magic support... no
checking for MING support... no
checking for mnoGoSearch support... no
checking for msession support... no
checking for mSQL support... no
checking for MSSQL support via FreeTDS... no
checking for MySQL support... yes
checking for specified location of the MySQL UNIX socket... no
checking for MySQL UNIX socket location... no
checking for mysql_close in -lmysqlclient... no
checking for mysql_errno in -lmysqlclient... no
configure: error: Try adding --with-zlib-dir=<DIR>. Please check config.log for more information.
ERROR: Could not configure PHP

I have executed the "yum install php ..." statement and if I type "php -v" I get the version 5.0.4. So what is wrong here? I also installed cyrus-imap because i have not known which IMAP server was ment, but here in the first line the Output says that no IMAP is installed? I also installed the zlibs because the error messages is searching the directories for it!.

So what I can do. Thanks in advance for your help!

hkaiser
Reply With Quote
  #7  
Old 18th August 2005, 11:39
till till is offline
Super Moderator
 
Join Date: Apr 2005
Location: Lüneburg, Germany
Posts: 34,586
Thanks: 792
Thanked 4,983 Times in 3,903 Posts
Default

Quote:
Originally Posted by hkaiser
Hi,

Thanks for the repositories. I tried to install ISPConfig now and I got this errror:

checking for IMAP support... no
checking for IMAP Kerberos support... no
checking for IMAP SSL support... no
checking for Informix support... no
checking for Ingres II support... no
checking for InterBase support... no
checking for IRCG support... no
checking for LDAP support... no
checking for LDAP Cyrus SASL support... no
checking whether to enable multibyte string support... no
checking whether to enable multibyte regex support... yes
checking for external libmbfl... no
checking for mcrypt support... no
checking for MCVE support... no
checking OpenSSL dir for MCVE... no
checking for mhash support... no
checking whether to include mime_magic support... no
checking for MING support... no
checking for mnoGoSearch support... no
checking for msession support... no
checking for mSQL support... no
checking for MSSQL support via FreeTDS... no
checking for MySQL support... yes
checking for specified location of the MySQL UNIX socket... no
checking for MySQL UNIX socket location... no
checking for mysql_close in -lmysqlclient... no
checking for mysql_errno in -lmysqlclient... no
configure: error: Try adding --with-zlib-dir=<DIR>. Please check config.log for more information.
ERROR: Could not configure PHP

I have executed the "yum install php ..." statement and if I type "php -v" I get the version 5.0.4. So what is wrong here? I also installed cyrus-imap because i have not known which IMAP server was ment, but here in the first line the Output says that no IMAP is installed? I also installed the zlibs because the error messages is searching the directories for it!.

So what I can do. Thanks in advance for your help!

hkaiser

The error comes from the PHP in the ISPConfig controlpanel, not the PHP of your Fedora installation. Have you installed the zlib and zlib-devel packages?
Before you rerun the ISPConfig installer, delete the install_ispconfig directory and unpack the installer tar.gz file again!
Reply With Quote
  #8  
Old 18th August 2005, 14:38
hkaiser hkaiser is offline
Member
 
Join Date: Aug 2005
Posts: 32
Thanks: 0
Thanked 1 Time in 1 Post
Default

Hi,

Thanks for the fast answer from you. I installed zlib and zlib-devel with yum now. I deleted the directory with the installation files and extracted them again to a now folder. The same errror happens and i do not understand why. Please help.


hkaiser
Reply With Quote
The Following User Says Thank You to hkaiser For This Useful Post:
AbannyvabVask (14th December 2013)
  #9  
Old 18th August 2005, 14:50
till till is offline
Super Moderator
 
Join Date: Apr 2005
Location: Lüneburg, Germany
Posts: 34,586
Thanks: 792
Thanked 4,983 Times in 3,903 Posts
Default

Quote:
Originally Posted by hkaiser
Hi,

Thanks for the fast answer from you. I installed zlib and zlib-devel with yum now. I deleted the directory with the installation files and extracted them again to a now folder. The same errror happens and i do not understand why. Please help.


hkaiser
Hi,

you can try to compile PHP without zlib.

open the file install_ispconfig/compile_aps/compile with an editor and replace
the linr no. 85 with the following line:

Code:
./configure --with-apxs=${INSTALL_ROOT}/httpd/bin/apxs --enable-track-vars --enable-sockets --with-config-file-path=${INSTALL_ROOT}/php --enable-ftp --prefix=${INSTALL_ROOT}/php --with-openssl=${INSTALL_ROOT}/openssl --with-mysql=/usr --disable-libxml --without-zlib || error "Could not configure PHP"
Then try to run the setup again. Dont forget to delete and unpack the installer before you modify the compile script.
Reply With Quote
  #10  
Old 18th August 2005, 16:28
hkaiser hkaiser is offline
Member
 
Join Date: Aug 2005
Posts: 32
Thanks: 0
Thanked 1 Time in 1 Post
 
Default

Hi,
this also do not work. I think the reason why it do not work is that the libaries are searched in /usr/lib but on an 64 bit system they are in /usr/lib64. Is it possible to change the directory setting in ispconfig from /usr/lib to usr/lib64? when I have tried to set the directive --with-zlib-dir=/usr/lib64/ i get the error that mysql can not be configured!? Please help me to find a solution! Thanks

hkaiser
Reply With Quote
Reply

Bookmarks

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Support System Tribal-Dolphin Feature Requests 3 20th August 2005 08:59
Installing software using wine floppywhopper Suggest HOWTO 0 17th May 2005 12:38
Installing Perl modules fernando Installation/Configuration 1 10th May 2005 20:16


All times are GMT +2. The time now is 19:39.


Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2014, vBulletin Solutions, Inc.